org.red5.server.net.rtmp.event

## Enum VideoData.FrameType

- java.lang.Object
- - java.lang.Enum<VideoData.FrameType>
  - - org.red5.server.net.rtmp.event.VideoData.FrameType

All Implemented Interfaces:
  Serializable, Comparable<VideoData.FrameType>

Enclosing class:
  VideoData

    public static enum VideoData.FrameType
    extends Enum<VideoData.FrameType>

Videoframe type

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISPOSABLE_INTERFRAME`
`INTERFRAME`
`KEYFRAME`
`UNKNOWN`

### Method Summary

Methods
`static VideoData.FrameType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VideoData.FrameType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final VideoData.FrameType UNKNOWN

#### KEYFRAME

    public static final VideoData.FrameType KEYFRAME

#### INTERFRAME

    public static final VideoData.FrameType INTERFRAME

#### DISPOSABLE_INTERFRAME

    public static final VideoData.FrameType DISPOSABLE_INTERFRAME

### Method Detail

#### values

    public static VideoData.FrameType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VideoData.FrameType c : VideoData.FrameType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VideoData.FrameType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null